.container-select-nodes {
  display: flex;
  align-items: flex-end;
}
.btn-scan-camera {
  display: flex;
  align-items: center;
  justify-content: center;
}
body.vertical-layout.vertical-menu-modern.menu-collapsed .main-menu.expanded .navigation li.has-sub > a:not(.mm-next):after
{
 left: 7px;
 right: 200px;

}
.back_zone {
  color: var(--fontColor);
  font-size: 40px;
}
.content-body {
  background-color: var(--light-light);
}
.tool {
  display: flex;
  width: 90%;
}
.detectionZone {
  width: 122px;
  padding: 5px;
  height: 37px;
  border: 1px solid;
  margin-right: 45px; 
  border-radius: 6px;
  text-align: center;
  border: 1px solid white; 
  /* border: 1px solid var(--color-green);  */

  
}
.crossLine {
    width: 122px;
    padding: 5px;
    height: 37px;
    text-align: center;
    border: 1px solid white; 
    margin-right: 10px;
  border-radius: 6px;
    
}

.imageDiv {
  padding-right: 17px !important;
    padding-left: 3px !important;
    user-select: none;
}
.direction {
    width: 122px;
    padding: 5px;
    height: 37px;
    border: 1px solid;
    margin-right: 15px;
    border: 1px solid var(--color-green); 
    border-radius: 6px;

    
}
.canvas-clear {
    color: crimson !important ;
  margin-left: 10px;
    margin-right: 10px;
    }
#imageTemp {
  /* position: absolute; */
  /* top: 2px px; */
  /* z-index: 20; */
  /* border: 1px solid; */
}
#imageView, #imageTemp {
  position: absolute;
  top: 168px;
  left: 31px;
  z-index: 20;
  border: 1px solid;
}
.steps-camera {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.container-steps {
  display: flex;
  align-items: center;
}

.container-steps .step {
  cursor: pointer;
  border-radius: 6px;
  padding: 6px 12px;
  cursor: pointer;
}
.container-steps .step span {
  cursor: pointer;
  color: var(--color-green);
  font-size: 12px;
}

.container-steps .step.active {
  border: 1px solid var(--color-green);
}

.container-buttons {
  display: flex;
  align-items: center;
}

.button-step {
  cursor: pointer;
  border-radius: 6px;
  font-size: 12px;
  padding: 6px 20px;
  cursor: pointer;
}
.button-step.btn-cancel {
  color: crimson;
}
.button-step.btn-cancel:hover {
  color: crimson;
}
.button-step.btn-back {
  color: var(--color-green);
}
.button-step.btn-save {
  color: var(--fontColor);
  border: 1px solid var(--color-font-gris);
}

.button-step.btn-save:hover {
  border: 1px solid var(--color-green);
  color: var(--color-green);
}

.content-step {
  border: 1px solid var(--color-borde);
  border-radius: 8px;
  margin: 15px 0px;
  /*min-height: 500px;*/
}

span.btn-dmg {
  color: var(--color-green) !important;
  font-weight: normal !important;
}

.container-selects {
  padding: 20px;
  display: flex;
  align-items: flex-end;
  border-bottom: 1px solid var(--color-borde);
}

.container-select {
  width: 300px;
  margin-right: 20px;
}

.card-camera {
  width: 100%;
  border-radius: 4px;
  border: 1px solid var(--color-borde);
  cursor: pointer;
}

.btn-select-camara {
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px solid var(--color-green);
  width: 100%;
  padding: 8px;
  color: var(--color-green);
  font-size: 12px;
  border-radius: 0px 0px 4px 4px;
}

.btn-select-camara:hover {
  background-color: var(--color-green);
  color: white;
}
.content-camera {
  padding: 10px;
}
.content-camera p {
  margin: 0px;
  font-size: 12px;
}

.f600 {
  font-family: "Maven Pro", sans-serif;
}

.card-camera:hover {
  background-color: var(--bg-medium);
}

.card-camera:hover .btn-select-camara {
  background-color: var(--color-green);
  color: white;
}

.container-img {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.container-img img {
  width: 450px;
  border-radius: 15px;
}

.custom-btn {
  outline: none;
  border: none;
  background-color: transparent;
}

body.dark-layout input.disabled {
  background-color: var(--bg-medium);
}

.note-camera {
  padding: 10px;
  font-size: 12px;
  background-color: var(--bgColor);
}

.head-step-3 {
  display: flex;
  align-items: flex-end;
  justify-content: space-between;
  padding: 10px;
  font-size: 12px;
  border-bottom: 1px solid var(--color-borde);
}

.btn-show-config-layout {
  width: auto;
  cursor: pointer;
}

.help-layout {
  width: 200px;
  margin: auto;
  text-align: center;
}

.container-layout {
  display: flex;
  width: 100%;
  border: 1px solid var(--color-borde);
  border-radius: 6px;
  padding: 10px;
}

.container-layout .s-left {
  width: 70px;
  margin-right: 10px;
}
.draw-poligon {
  width: 70px;
  height: 70px;
  background-color: var(--bg-medium);
}

.header-layout {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-bottom: 10px;
  border-bottom: 1px solid var(--color-borde);
}

.color-title {
  width: 15px;
  height: 15px;
  display: block;
  margin-right: 6px;
}
.header-layout .title {
  font-family: "Maven Pro", sans-serif;
  color: var(--fontColor);
  font-size: 12px;
}

.flex {
  display: flex;
  align-items: center;
}

.img-eye {
  width: 22px;
  height: 22px;
  cursor: pointer;
}

.openOptionsLayout {
  font-size: 24px;
  cursor: pointer;
}

.body-layout {
  padding-top: 10px;
  font-size: 12px;
}

.body-layout p {
  margin: 0px;
  font-size: 12px;
}

.span-event {
  border-radius: 4px;
  padding: 4px 10px;
  color: white !important;
  float: left;
  margin-right: 8px;
  margin-bottom: 8px;
  font-size: 10px;
  text-align: center;
}

body.dark-layout .checkbox input:checked ~ label:after {
  border-color: var(--color-green);
}

.img-preview-camera {
  border-radius: 15px;
}

.ds-none {
  display: none !important;
}

/*DETAIL*/
.container-detail {
  border: 1px solid var(--color-borde);
}
.btns-header-detail {
  display: flex;
  align-items: center;
  justify-content: flex-end;
}
.btn-detail {
  background-color: transparent;
  outline: none;
  border: none;
  color: var(--fontColor);
  font-size: 12px;
  padding: 10px 0px;
  text-align: center;
  margin-left: 20px;
}

.btn-detail.delete-cam:hover {
  color: crimson;
}
.btn-detail.edit-cam:hover {
  color: var(--color-green);
}

.header-detail-camera .title {
  font-family: "Maven Pro", sans-serif;
  font-size: 12px;
  color: var(--fontColor);
}

.data-table {
  display: flex;
  align-items: center;
  width: 100%;
  color: var(--fontColor);
  font-size: 12px;
  padding-bottom: 15px;
  border-bottom: 1px solid var(--color-borde);
}
.td {
  width: 25%;
}
.td p {
  margin: 0px;
}
.value {
  font-family: "Maven Pro", sans-serif;
}

.header-detail-camera .more-detail {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 10px 0px;
}

.header-detail-camera .more-detail .flex p {
  margin: 0px;
  margin-left: 15px;
}
.header-detail-camera .more-detail .flex span {
  font-size: 12px;
  color: var(--fontColor);
}
.header-detail-camera .more-detail .flex span.value {
  color: var(--color-green);
  font-family: Gothic;
}

/*CONFIG LAYOUT LINE*/
/*.container-config-line .modal-body{*/
.container-config-line {
  display: flex;
  width: 100%;
  /*padding: 20px;*/
}
/*.container-config-line .modal-body .s-left{*/
.container-config-line .s-left {
  width: 50%;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
}
/*.container-config-line .modal-body .s-right{*/
.container-config-line .s-right {
  width: 50%;
  /*padding: 0px 0px 0px 20px;*/
  position: relative;
  display: flex;
}

#canvas-line {
  position: absolute;
  cursor: crosshair;
}

/*CONFIG LAYOUT POLYGONS*/
.container-config-polygons .modal-body {
  display: flex;
  width: 100%;
  padding: 20px;
}
.container-config-polygons .modal-body .s-left {
  /*background-color: rebeccapurple;*/
  width: 70%;
}
.container-config-polygons .modal-body .s-right {
  width: 30%;
  padding: 0px 0px 0px 20px;
  position: relative;
}

.container-polygons {
  margin: 5px 0px;
  background: #2c3350;
  padding: 10px;
  border-radius: 5px;
}
.container-polygons div {
  margin: 5px 0px;
  font-size: 12px;
}
.container-polygons div span {
  font-size: 12px;
}

.deletePolygon {
  padding: 2px 10px;
  border-radius: 5px;
  border: 1px solid var(--color-red);
  color: var(--color-red);
  background: #3f3f3f;
  text-align: center;
  font-size: 12px !important;
  outline: none !important;
}

.s.s-3 {
  width: 100%;
  position: absolute;
  bottom: 0px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.s-3 .controls {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.s-3 .controls span {
  margin: 0px 5px;
  font-size: 14px !important;
  font-family: Gothic !important;
  cursor: pointer;
}

/*ARROW*/
.c-arrow {
  position: absolute;
}
.long-arrow-up,
.long-arrow-down {
  display: block;
  width: 25px;
  height: 25px;
  border-top: 6px solid #a1c523;
  border-left: 6px solid #a1c523;
}

.long-arrow-up {
  transform: rotate(45deg);
}

.long-arrow-down {
  transform: rotate(225deg);
}
.long-arrow-up::after,
.long-arrow-down::after {
  content: "";
  display: block;
  width: 6px;
  height: 80px;
  background-color: #a1c523;
  transform: rotate(-45deg) translate(26px, 10px);
  left: 0;
  top: 0;
}

.btn-direction {
  width: 120px;
  display: flex;
  margin: 15px 0px;
  border: 1px solid var(--fontColor);
  border-radius: 5px;
}

.btn-direction div {
  width: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 10px 20px;
  color: var(--fontColor);
}

.info-right {
  width: 90%;
  /*text-align: center;*/
  padding-left: 22px;
  display: flex;
  /*align-items: center;*/
  /*justify-content: center;*/
  flex-direction: column;
}
.info-right p {
  margin: 0px;
  font-size: 12px;
}

.direction.active {
  /*border: 1px solid var(--color-green);*/
  background: #525252;
  color: var(--color-green);
}

.btn-up {
  border-right: 1px solid var(--fontColor);
  border-radius: 5px 0px 0px 5px;
}
.btn-down {
  border-radius: 0px 5px 5px 0px;
}

#slider-vertical .noUi-handle {
  border: 5px solid var(--color-green);
}

.percentage {
  width: 100px;
  text-align: center;
  padding: 8px 30px;
  border-radius: 5px;
  background: #525252;
  color: #8bc34a !important;
  margin: 15px 0px;
}

/*DETAIL CAMERA*/
.header-detail-camera .title {
  font-family: "Maven Pro", sans-serif;
  font-size: 12px;
  color: var(--fontColor);
}

.data-table {
  display: flex;
  align-items: center;
  width: 100%;
  color: var(--fontColor);
  font-size: 12px;
  padding-bottom: 15px;
  border-bottom: 1px solid var(--color-borde);
}
.td {
  width: 25%;
}
.td p {
  margin: 0px;
}
.value {
  font-family: "Maven Pro", sans-serif;
}

.header-detail-camera .more-detail {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 10px 0px;
}

.header-detail-camera .more-detail .flex p {
  margin: 0px;
  margin-left: 15px;
}
.header-detail-camera .more-detail .flex span {
  font-size: 12px;
  color: var(--fontColor);
}
.header-detail-camera .more-detail .flex span.value {
  color: var(--color-green);
  font-family: Gothic;
}

.btn-save-line {
  cursor: pointer;
  background: #525252;
  text-align: center;
  padding: 10px;
  border-radius: 5px;
  margin-top: 20px;
}
#btnSaveDetectionDrawings{
  margin-right: 10px;
}

.label-show {
  margin: 2px;
}
.cameraType {
  border: 1px solid;
   padding: 10px;
    display: flex;
flex-direction: column;
}